Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Advanced Firmware update for remote

Discussion in 'Phantom 3 Help' started by Martijn-Sb, May 11, 2016.

  1. Martijn-Sb

    Joined:
    May 11, 2016
    Messages:
    3
    Likes Received:
    0
    Hi everyone, short question:
    I installed the latest firmware on both te drone als the remote (via dji go app). All seems to work fine. Installing for rc gave no problems.
    But after installing Information on the dji go app tells version of the drone is 1.8.80 (which is correct) But the version of the rc tells 1.6. Instead of 1.8.
    The dji go app doesn't tell me anymore to install the latest version and when I try to install via USB nothing happens.

    All seems to work fine But I just want to make sure everything is fine.
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,103
    Likes Received:
    5,625
    Location:
    US
    Those versions are correct. They usually do not match.
     
  3. Martijn-Sb

    Joined:
    May 11, 2016
    Messages:
    3
    Likes Received:
    0
    OK thanks! Didn't know that (first day with the Phantom)
     
  4. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,103
    Likes Received:
    5,625
    Location:
    US
    No worries. We're always happy to help fellow flyers here :)